<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for JP_HotelBookingRulesAdvancedOptions StructType
 * @subpackage Structs
 */
class JP_HotelBookingRulesAdvancedOptions extends JP_BookingRulesAdvancedOptions
{
    /**
     * The ShowCompleteInfo
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var bool
     */
    public $ShowCompleteInfo;
    /**
     * Constructor method for JP_HotelBookingRulesAdvancedOptions
     * @uses JP_HotelBookingRulesAdvancedOptions::setShowCompleteInfo()
     * @param bool $showCompleteInfo
     */
    public function __construct($showCompleteInfo = null)
    {
        $this
            ->setShowCompleteInfo($showCompleteInfo);
    }
    /**
     * Get ShowCompleteInfo value
     * @return bool|null
     */
    public function getShowCompleteInfo()
    {
        return $this->ShowCompleteInfo;
    }
    /**
     * Set ShowCompleteInfo value
     * @param bool $showCompleteInfo
     * @return \StructType\JP_HotelBookingRulesAdvancedOptions
     */
    public function setShowCompleteInfo($showCompleteInfo = null)
    {
        // validation for constraint: boolean
        if (!is_null($showCompleteInfo) && !is_bool($showCompleteInfo)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a bool, %s given', var_export($showCompleteInfo, true), gettype($showCompleteInfo)), __LINE__);
        }
        $this->ShowCompleteInfo = $showCompleteInfo;
        return $this;
    }
}
